name: N177-1216TCWPG01-H14
description: LCD TFT, 1.77 inch, 128x160, ST7735 driver
distributor: LCSC C5123575

pinout:
  NC: 1,14
  GND: 2,5,13
  LED:
    LED+: 4
    LED-: 3
  SPI:
    RES: 6
    AO: 7
    SDA: 8
    SCK: 9
    CS: 12
  VCC: 10
  IOVCC: 11

properties:
  power: VCC, IOVCC
  ground: GND
  bidir: SDA
  in: SCK, AO, RES, CS
  inverted: RES, CS
  out: SD_MISO
  passive: LED+, LED-
  nc: NC

schematic:
  symbol: ic
  left: LED, SPI
  right: SD
  top: VCC, IOVCC
  bottom: GND

housing:
  pattern: custom
  bodyWidth: 45.83
  bodyLength: 34.0
  height: 2.20

  padWidth: 2.5 # 2.2 + 0.3
  padHeight: 0.5 # 0.4 + 0.1
  pitch: 0.8
  rowCount: 14
  columnCount: 1
  rowDX: 16.0 # 45.83/2 - 11.90 + 2.2 + 2.2/2 + some margin
  rowDY: 0
